#include<iostream>
using namespace std;

int main ()
{
    int n, a, br=0, ngch, nmch=ngch, brojnech, brojch;

    cin >> n;

    while (n>br)
    {
        cin >> a;

        if (a/2==0)
        {
            brojch++;
        }
        else
        {
            brojnech++;
        }

        if (ngch<a)
        {
            a=ngch;
        }
        if (nmch>a)
        {
            a=nmch;
        }

        br++;
    }
    if (nmch/2==0)
    {
        if (((ngch-nmch)+1)/2==1)
        {
            a=(((ngch-nmch)+1)/2)+1;
        }
        else
        {
            a=((ngch-nmch)+1)/2;
        }
    }
    if (nmch/2==1)
    {
        if (((ngch-nmch)+1)/2==1)
        {
            n=(((ngch-nmch)+1)/2)+1;
        }
        else
        {
            n=((ngch-nmch)+1)/2;
        }
    }

    cout << ((ngch-nmch)+1)-(brojch+brojnech+a) << ((ngch-nmch)+1)-(brojch+brojnech+n);

    return 0;
}
